class UnspecifiedRequestType(Exception):
    """exception raised if for a given API endpoint a not defined operation is requested"""


class UnknownApiErrorCode(Exception):
    """exception raised if for a given request a unknown error response code is transmitted"""


class ApiConnectionError(Exception):
    """exception raised if an established connection is needed, but the current session is not connected"""


class FeaturesMissingError(Exception):
    """exception raised if needed features are missing"""
